# MZUI

为移动端设计，基于 Flex 的 UI 框架。

示例和文档：http://zui.sexy/m/

## 特色

 * 现代化：基于 Flex 设计，支持移动端全部主流浏览器，支持 Android 微信内置浏览器；
 * 灵活：独立的外观选项，适合大部分控件，满足多样的外观定制需求；
 * 可定制：所有内容可以按需使用，基于 Gulp 构建自定义版本非常简单；
 * 轻量：JS（mzui.min.js）压缩后在 20KB 左右，CSS（mzui.min.css）压缩后在 76KB 左右，启用 GZip 压缩之后会更小（css 16KB, js 8KB），JS 部分兼容 jQuery 最新版本；

![mzui-v1 0 0-5](https://cloud.githubusercontent.com/assets/472425/16789673/320a2f5e-48e2-11e6-883a-7aca4304bbc4.gif)

## 快速使用

### NPM

```
npm install mzui
```

### Bower

```
bower install mzui
```

## 浏览器兼容性

支持的浏览器：

 * Android Chrome：最新版；
 * iOS Safari：最新版；
 * Android 微信：最新版；
 * Windows 10 mobile Edge：最新版。

可能会带来兼容性问题的特性包括：

 * [REM (root em) units](http://caniuse.com/#search=rem)
 * [Flexible Box Layout](http://caniuse.com/#search=flex)
 * [CSS3 2D Transforms](http://caniuse.com/#search=transform)
 * [CSS3 Transitions](http://caniuse.com/#search=transition)
 * [CSS3 Box-shadow](http://caniuse.com/#search=box-shadow)

## 后续计划

 * 为响应式开发增加更多的内容
 * 增加更多的场景示例
 * 增加轮播
 * 增加卡片控件
 * 增加轻量的路由功能

## 已知问题

 * 行列混用栅格在 iOS safari 上不可用；

## 桌面端方案推荐

欢迎使用 [ZUI: http://zui.sexy](http://zui.sexy)。


